Skip to main content
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
trm
/
{trmId}
TypeScript
const response: Promise<FireblocksResponse<TRLinkTrmInfoResponse>> = fireblocks.tRLink.getTRLinkTrmById(tRLinkApiGetTRLinkTrmByIdRequest);
{
  "id": "trm_1234567890abcdef",
  "externalId": "550e8400-e29b-41d4-a716-446655440000",
  "asset": {
    "format": "fireblocks",
    "data": {
      "network": "ETH",
      "ticker": "USDT",
      "ucid": 825,
      "contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "id": "USDT_ERC20"
    }
  },
  "amount": "1000",
  "direction": "out",
  "txnInfo": {
    "originatorWalletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "beneficiaryWalletAddress": "0x8d12A197cB00D4747a1fe03395095ce2A5CC6819",
    "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
  },
  "ivms101": {
    "version": "1.0",
    "data": "eyJvcmlnaW5hdG9yIjp7Im5hbWUiOiJKb2huIERvZSIsImFkZHJlc3MiOiIxMjMgTWFpbiBTdCJ9LCJiZW5lZmljaWFyeSI6eyJuYW1lIjoiSmFuZSBTbWl0aCIsImFkZHJlc3MiOiI0NTYgRWxtIFN0In19",
    "filledFields": [
      "originator.name",
      "originator.address",
      "beneficiary.name",
      "beneficiary.address"
    ]
  },
  "version": "1.0",
  "status": "ACCEPTED",
  "reason": "Travel Rule compliance required for this transaction",
  "fiatValue": {
    "amount": "1000.50",
    "currency": "USD"
  },
  "originatorVaspId": "did:ethr:0x1234567890abcdef",
  "beneficiaryVaspId": "did:ethr:0xfedcba0987654321",
  "providerData": {
    "provider": "notabene",
    "data": {
      "vasp_did": "did:ethr:0x1234567890abcdef",
      "compliance_status": "verified"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

trmId
string
required

Travel Rule Message unique identifier

Response

TRM retrieved successfully

Travel Rule Message information

id
string
required

TRM message ID

Example:

"trm_1234567890abcdef"

externalId
string
required

External ID (e.g., Fireblocks ID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

asset
object
required
amount
string
required

Transaction amount in asset units

Example:

"1000"

direction
enum<string>
required

Transaction direction for TRM (in = inbound, out = outbound)

Available options:
in,
out
Example:

"out"

txnInfo
object
required
ivms101
object
required

IVMS101 data in response format

version
string | null

TRM version

Example:

"1.0"

status
enum<string> | null

Current status of the Travel Rule Message

Available options:
PENDING,
ACCEPTED,
REJECTED,
FAILED
Example:

"ACCEPTED"

reason
string | null

Human readable reason for the current status

Example:

"Travel Rule compliance required for this transaction"

fiatValue
object
originatorVaspId
string | null

ID of the originator VASP

Example:

"did:ethr:0x1234567890abcdef"

beneficiaryVaspId
string | null

ID of the beneficiary VASP

Example:

"did:ethr:0xfedcba0987654321"

providerData
object